---
title: "List of Locations for Business Listings API"
url: "https://docs.dataforseo.com/v3/business_data/business_listings/locations/"
date: "2026-08-26"
---

## List of Locations for Business Listings API

### **Note:** All locations in Russia and Belarus are no longer supported across all DataForSEO services due to the invasion of Ukraine.

 

 

      

Pricing

 Your account will not be charged for using this API

 

  ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/business\_data/business\_listings/locations     

 You will receive the list of locations by this API call. You can also [download the full list of supported locations](https://cdn.dataforseo.com/v3/locations/locations_business_data_business_listings_2026_08_06.csv) in the CSV format (last updated 2026-08-06).

As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the URL of the GET request* |
| **`result`** | array | *array of results* |
| `location_name` | string | *full name of the location* |
| `country_iso_code` | string | *ISO country code of the location* |
| `business_count` | integer | *number of businesses in this location in our database* |







 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/business_data/business_listings/locations" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	// using this method you can get a list of locations
	// GET /v3/business_data/business_listings/locations/$country
	$result = $client->get('/v3/business_data/business_listings/locations/gb');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/business_data/business_listings/locations',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        country: "us"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of locations
# GET /v3/business_data/business_listings/locations/$country
response = client.get("/v3/business_data/business_listings/locations/gb")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_locations()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations
            // GET /v3/business_data/business_listings/locations/$country
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/business_data/business_listings/locations/gb");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
    "version": "0.1.20221214",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.4116 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "05221538-1535-0549-0000-294597bdd8cc",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.3530 sec.",
            "cost": 0,
            "result_count": 221,
            "path": [
                "v3",
                "business_data",
                "business_listings",
                "locations"
            ],
            "data": {
                "api": "business_data",
                "function": "locations"
            },
            "result": [
                {
                    "location_name": "India",
                    "country_iso_code": "IN",
                    "business_count": 19928449
                },
                {
                    "location_name": "United States",
                    "country_iso_code": "US",
                    "business_count": 16315177
                },
                {
                    "location_name": "Brazil",
                    "country_iso_code": "BR",
                    "business_count": 8486572
                },
                {
                    "location_name": "Japan",
                    "country_iso_code": "JP",
                    "business_count": 6485034
                },
                {
                    "location_name": "Germany",
                    "country_iso_code": "DE",
                    "business_count": 4884008
                }
            ]
        }
    ]
}
```









 

  cURL   php   Node.js   Python   cSharp